<?php

namespace Modules\Jiesuan\Services;

use Illuminate\Support\Facades\DB;

class BusinessmanService
{
    public static function list() {
        return DB::table('users')
            ->join('user_has_roles', 'users.id', 'user_has_roles.user_id')
            ->join('roles', 'user_has_roles.role_id', 'roles.id')
            ->where([
                'roles.identify' => 'business',
                'users.status' => 1,
            ])->select('users.id', 'users.username', 'users.email')
            ->get();
    }
}
